<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet">
<style type="text/css">
	body{
		margin:0;
		height:100vh;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	.menubar{
		display: flex;
		justify-content: center;
		align-items: center;
		width: 90px;
		height:100px;
		background:teal;
		border:1px solid teal;
		padding:5px 10px;
		color:white;
		border-radius:5px;
		animation: reveal .3s ;
	}
	.menubar:hover{
		background:green;
		cursor: pointer;
	}
	.close{
		clip-path: polygon(0 0, 50% 50%, 100% 0%, 50% 50%, 100% 100%, 50% 50%, 0 100%, 50% 50%);
	}
	.open{
		clip-path: polygon(0 0, 50% 0, 100% 0%, 100% 50%, 100% 100%, 50% 100%, 0 100%, 0 50%);
	}
	.menu{
		height:100vh;
		width: 100vw;
		background:teal;
		color:white;
		position: fixed;
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
		transition: .3s;	
		top:0;
	}
	.menu>span{
		font-size:9vw;
		cursor: pointer;
	}
	.menu>span:hover{
		border-bottom:3px solid white;
	}
	span.close-button{
		position: absolute;
		top:1vh;
		right:2vh;
		font-size:3vw;
		line-height: 3vw;
	}
	span.close-button>i{
		color:white;
		font-size:3vw;
		line-height: 3vw;
	}
	span.close-button:hover{
		border:none
	}

	@keyframes reveal{
		from{
		clip-path: polygon(0 100%, 100% 100%, 100% 100%, 0 100%);
		}
		to{
		clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
		}
	}
</style>
<body>
<div class="menubar" onclick="toggleMenu()"><i class="material-icons">menu</i></div>

<div class="menu close" id="menu">
	<span>Home</span>
	<span>Contact</span>
	<span>Services</span>
	<span>About</span>
	<span class="close-button" onclick="toggleMenu()"><i class="material-icons">highlight_off</i></span>
</div>
</body>
<script type="text/javascript">
	function toggleMenu(){
		document.getElementById('menu').classList.toggle('open');
		document.getElementById('menu').classList.toggle('close');
	}
</script>
</html>